package com.unis.base.server.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.unis.base.common.vo.CcsbtzjsmxVO;
import com.unis.base.server.entity.CcsbtzjsmxDO;
import com.unis.common.utils.ResponseWrapper;

import java.util.List;

/**
 * @Classname CcsbtzjsmxService
 * @Description 仓储设备投资建设明细
 * @Date 2024/1/2 10:50
 * @Created by rising123sun
 */
public interface CcsbtzjsmxService {
    JSONArray queryCcsbtzjsmx(CcsbtzjsmxVO ccsbtzjsmxVO);

    ResponseWrapper saveCcsbtzjsmx(String orgCode, String sbnf, List<CcsbtzjsmxDO> ccsjList);

    JSONArray queryCcsbtzjsmxForHz(CcsbtzjsmxVO ccsbtzjsmxVO);

    JSONObject queryCcsbtzjsmxForMx(CcsbtzjsmxVO ccsbtzjsmxVO);

    JSONObject queryCcsbtzjsmxForMxGld(CcsbtzjsmxVO ccsbtzjsmxVO);

    JSONArray querySbqclb(String sblxCode);
}
